Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.save
Class SaveService

    java.lang.Object
      org.apache.jmeter.save.SaveService

public class SaveService
extends Object

Handles setting up XStream serialisation. The class reads alias definitions from saveservice.properties.

Field Summary
`static String` | `RESULTCOLLECTOR_HELPER_OBJECT`
`static String` | `SAMPLE_EVENT_OBJECT`
`static String` | `TESTLOG_FORMAT`
`static String` | `TESTPLAN_FORMAT`

Constructor Summary
`SaveService()`

Method Summary
`static String` | `aliasToClass(String s)`
`static String` | `CEtoString(com.thoughtworks.xstream.converters.ConversionException ce)` Simplify getMessage() output from XStream ConversionException
`static String` | `classToAlias(String s)`
`static String` | `getFileEncoding(String dflt)` Returns the file Encoding specified in saveservice.properties or the default
`static String` | `getPropertiesVersion()`
`static String` | `getVERSION()`
`static boolean` | `isSaveTestLogFormat20()`
`static boolean` | `isSaveTestPlanFormat20()`
`static boolean` | `isSaveTestPlanFormat22()`
`static Object` | `loadElement(InputStream in)`
`static Properties` | `loadProperties()`
`static void` | `loadTestResults(InputStream reader, ResultCollectorHelper resultCollectorHelper)` Read results from JTL file.
`static HashTree` | `loadTree(InputStream reader)` Load a Test tree (JMX file)
`static void` | `saveElement(Object el, OutputStream out)`
`static void` | `saveSampleResult(SampleEvent evt, Writer writer)` Save a sampleResult to an XML output file using XStream.
`static void` | `saveTestElement(TestElement elem, Writer writer)`
`static void` | `saveTree(HashTree tree, OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SAMPLE_EVENT_OBJECT

    public static final String SAMPLE_EVENT_OBJECT

See Also:
  Constant Field Values

### RESULTCOLLECTOR_HELPER_OBJECT

    public static final String RESULTCOLLECTOR_HELPER_OBJECT

See Also:
  Constant Field Values

### TESTPLAN_FORMAT

    public static final String TESTPLAN_FORMAT

### TESTLOG_FORMAT

    public static final String TESTLOG_FORMAT

Constructor Detail

### SaveService

    public SaveService()

Method Detail

### loadProperties

    public static Properties loadProperties()
                                     throws IOException

  Throws:
    `IOException`

### aliasToClass

    public static String aliasToClass(String s)

### classToAlias

    public static String classToAlias(String s)

### saveTree

    public static void saveTree(HashTree tree,
                                OutputStream out)
                         throws IOException

  Throws:
    `IOException`

### saveElement

    public static void saveElement(Object el,
                                   OutputStream out)
                            throws IOException

  Throws:
    `IOException`

### loadElement

    public static Object loadElement(InputStream in)
                              throws IOException

  Throws:
    `IOException`

### saveSampleResult

    public static void saveSampleResult(SampleEvent evt,
                                        Writer writer)
                                 throws IOException

  Save a sampleResult to an XML output file using XStream.

  Parameters:
    `evt` - sampleResult wrapped in a sampleEvent
    `writer` - output stream which must be created using `getFileEncoding(String)`
  Throws:
    `IOException`

### saveTestElement

    public static void saveTestElement(TestElement elem,
                                       Writer writer)
                                throws IOException

  Parameters:
    `elem` - test element
    `writer` - output stream which must be created using `getFileEncoding(String)`
  Throws:
    `IOException`

### loadTestResults

    public static void loadTestResults(InputStream reader,
                                       ResultCollectorHelper resultCollectorHelper)
                                throws Exception

  Read results from JTL file.

  Parameters:
    `reader` - of the file
    `resultCollectorHelper` - helper class to enable TestResultWrapperConverter to deliver the samples
  Throws:
    `Exception`

### loadTree

    public static HashTree loadTree(InputStream reader)
                             throws Exception

  Load a Test tree (JMX file)

  Parameters:
    `reader` - on the JMX file
  Returns:
    the loaded tree
  Throws:
    `Exception` - if there is a problem reading the file or processing it

### getFileEncoding

    public static String getFileEncoding(String dflt)

  Returns the file Encoding specified in saveservice.properties or the default

  Parameters:
    `dflt` - value to return if file encoding was not provided
  Returns:
    file encoding or default

### isSaveTestPlanFormat20

    public static boolean isSaveTestPlanFormat20()

### isSaveTestLogFormat20

    public static boolean isSaveTestLogFormat20()

### isSaveTestPlanFormat22

    public static boolean isSaveTestPlanFormat22()

### CEtoString

    public static String CEtoString(com.thoughtworks.xstream.converters.ConversionException ce)

  Simplify getMessage() output from XStream ConversionException

  Parameters:
    `ce` - - ConversionException to analyse
  Returns:
    string with details of error

### getPropertiesVersion

    public static String getPropertiesVersion()

### getVERSION

    public static String getVERSION()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.